
QGIS Application - Bug report #7698

crash when field with valuemap after closing attributetable

2013-04-24 12:57 PM - Philippe Dorelon

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 16611

Description

Hi,

Big crash with revision commit:13d35ac:

    -  open a vector layer (shape, spatialite,...)

    -  add a valuemap to a field

    -  identify features tool works fine

    -  open attributetable

    -  close attributetable

    -  problem with identify features tool : field with valuemap is not ok, value in brackets

    -  qgis eventually crash after few operations

Associated revisions

Revision 142223b9 - 2013-05-13 11:06 AM - Matthias Kuhn

[Fix #7698] Attributetable crashes on close when valuemap is used

History

#1 - 2013-04-25 03:38 AM - Giovanni Manghi

- OS version deleted (xp)

- Operating System deleted (windows)

confirmed on Linux, terminal message is

*** glibc detected *** /usr/bin/qgis.bin: free(): invalid pointer: 0x000000000576f948 ***

======= Backtrace: =========

       /lib/x86_64-linux-gnu/libc.so.6(+0x7eb96)[0x7f3ce0ff4b96]

       /usr/lib/libqgis_gui.so.1.9.0(ZN22QgsAttributeTableModelD1Ev+0x97)[0x7f3ce4551377]

       /usr/lib/libqgis_gui.so.1.9.0(QgsAttributeTableModel::~QgsAttributeTableModel()+0x9)[0x7f3ce4551619]

       /usr/lib/x86_64-linux-gnu/libQtCore.so.4(QObjectPrivate::deleteChildren()+0x85)[0x7f3ce3bd9935]

       /usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::~QWidget()+0x280)[0x7f3ce2f94740]

       /usr/lib/libqgis_gui.so.1.9.0(QgsDualView::~QgsDualView()+0x9)[0x7f3ce455cc49]

       /usr/lib/x86_64-linux-gnu/libQtCore.so.4(QObjectPrivate::deleteChildren()+0x85)[0x7f3ce3bd9935]

       /usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::~QWidget()+0x280)[0x7f3ce2f94740]

       /usr/bin/qgis.bin(QgsAttributeTableDialog::~QgsAttributeTableDialog()+0x9)[0x53c5a9]

       /usr/lib/x86_64-linux-gnu/libQtCore.so.4(QObject::event(QEvent*)+0x398)[0x7f3ce3be0478]

       /usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0xbb)[0x7f3ce2f99b7b]

       /usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0xb4)[0x7f3ce2f49894]
       /usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x113)[0x7f3ce2f4e713]

       /usr/lib/libqgis_core.so.1.9.0(QgsApplication::notify(QObject*, QEvent*)+0x96)[0x7f3ce4abb6b6]

       /usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x8c)[0x7f3ce3bc6e9c]

       /usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendPostedEvents(QObject*, int,

QThreadData*)+0x46a)[0x7f3ce3bcac6a]

       /usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x1a9f93)[0x7f3ce3bf5f93]

       /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x133)[0x7f3cdfad8d53]

       /lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x480a0)[0x7f3cdfad90a0]

       /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7f3cdfad9164]

      

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x6f)[0x7f3ce3bf63bf]
       /usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x273d5e)[0x7f3ce2ff1d5e]
       /usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x32)[0x7f3ce3bc5c82]
       /usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0xf7)[0x7f3ce3bc5ed7]
       /usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x87)[0x7f3ce3bcaf67]
       /usr/bin/qgis.bin(main+0x21fe)[0x4bf8ae]
       /lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xed)[0x7f3ce0f9776d]
/usr/bin/qgis.bin[0x4c3631]
======= Memory map: ========
00400000-00984000 r-xp 00000000 08:03 1070225                            /usr/bin/qgis.bin
00b83000-00b84000 r--p 00583000 08:03 1070225                            /usr/bin/qgis.bin
00b84000-00b8c000 rw-p 00584000 08:03 1070225                            /usr/bin/qgis.bin
00b8c000-00b8e000 rw-p 00000000 00:00 0 
010e8000-06107000 rw-p 00000000 00:00 0                                  [heap]
7f3c88000000-7f3c88022000 rw-p 00000000 00:00 0 
7f3c88022000-7f3c8c000000 ---p 00000000 00:00 0 
7f3c90000000-7f3c90022000 rw-p 00000000 00:00 0 
7f3c90022000-7f3c94000000 ---p 00000000 00:00 0 
7f3c94000000-7f3c94022000 rw-p 00000000 00:00 0 
7f3c94022000-7f3c98000000 ---p 00000000 00:00 0 
7f3c9bdfd000-7f3c9bdff000 r-xp 00000000 08:03 1442332                    /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
7f3c9bdff000-7f3c9bffe000 ---p 00002000 08:03 1442332                    /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
7f3c9bffe000-7f3c9bfff000 r--p 00001000 08:03 1442332                    /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
7f3c9bfff000-7f3c9c000000 rw-p 00002000 08:03 1442332                    /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
7f3c9c000000-7f3c9c022000 rw-p 00000000 00:00 0 
7f3c9c022000-7f3ca0000000 ---p 00000000 00:00 0 
7f3ca0a95000-7f3ca1297000 rw-p 00000000 00:00 0 
7f3ca1297000-7

f]

       /usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x273d5e)[0x7f3ce2ff1d5e]

       /usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x32)[0x7f3ce3bc5c82]

       /usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0xf7)[0x7f3ce3bc5ed7]

       /usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x87)[0x7f3ce3bcaf67]

       /usr/bin/qgis.bin(main+0x21fe)[0x4bf8ae]

       /lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xed)[0x7f3ce0f9776d]

/usr/bin/qgis.bin[0x4c3631]

======= Memory map: ========

00400000-00984000 r-xp 00000000 08:03 1070225                            /usr/bin/qgis.bin

00b83000-00b84000 r--p 00583000 08:03 1070225                            /usr/bin/qgis.bin

00b84000-00b8c000 rw-p 00584000 08:03 1070225                            /usr/bin/qgis.bin

00b8c000-00b8e000 rw-p 00000000 00:00 0 

010e8000-06107000 rw-p 00000000 00:00 0                                  [heap]

7f3c88000000-7f3c88022000 rw-p 00000000 00:00 0 

7f3c88022000-7f3c8c000000 ---p 00000000 00:00 0 

7f3c90000000-7f3c90022000 rw-p 00000000 00:00 0 

7f3c90022000-7f3c94000000 ---p 00000000 00:00 0 

7f3c94000000-7f3c94022000 rw-p 00000000 00:00 0 

7f3c94022000-7f3c98000000 ---p 00000000 00:00 0 

7f3c9bdfd000-7f3c9bdff000 r-xp 00000000 08:03 1442332                   

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so

7f3c9bdff000-7f3c9bffe000 ---p 00002000 08:03 1442332                   

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so

7f3c9bffe000-7f3c9bfff000 r--p 00001000 08:03 1442332                   

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so

7f3c9bfff000-7f3c9c000000 rw-p 00002000 08:03 1442332                   

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so

7f3c9c000000-7f3c9c022000 rw-p 00000000 00:00 0 

7f3c9c022000-7f3ca0000000 ---p 00000000 00:00 0 

7f3ca0a95000-7f3ca1297000 rw-p 00000000 00:00 0 

7f3ca1297000-7f3ca17e0000 rw-p 00000000 00:00 0 

7f3ca1fcb000-7f3ca1fcc000 rw-p 00000000 00:00 0 

7f3ca1fcc000-7f3ca2286000 rw-s 00000000 00:04 1343496                    /SYSV00000000 (deleted)

7f3ca2286000-7f3ca2287000 ---p 00000000 00:00 0 

7f3ca2287000-7f3ca2a87000 rw-p 00000000 00:00 0 

7f3ca2a87000-7f3ca2abe000 r-xp 00000000 08:03 1056191                    /usr/lib/x86_64-linux-gnu/libcroco-0.6.so.3.0.1

7f3ca2abe000-7f3ca2cbd000 ---p 00037000 08:03 1056191                    /usr/lib/x86_64-linux-gnu/libcroco-0.6.so.3.0.1

7f3ca2cbd000-7f3ca2cc0000 r--p 00036000 08:03 1056191                    /usr/lib/x86_64-linux-gnu/libcroco-0.6.so.3.0.1

7f3ca2cc0000-7f3ca2cc1000 rw-p 00039000 08:03 1056191                    /usr/lib/x86_64-linux-gnu/libcroco-0.6.so.3.0.1

7f3ca2cc1000-7f3ca2cf5000 r-xp 00000000 08:03 1056589                    /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.36.1

7f3ca2cf5000-7f3ca2ef4000 ---p 00034000 08:03 1056589                    /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.36.1
7f3ca2ef4000-7f3ca2ef5000 r--p 00033000 08:03 1056589                    /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.36.1

7f3ca2ef5000-7f3ca2ef6000 rw-p 00034000 08:03 1056589                    /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.36.1

7f3ca2ef6000-7f3ca2ef7000 ---p 00000000 00:00 0 

7f3ca2ef7000-7f3ca36f7000 rw-p 00000000 00:00 0 

7f3ca36f7000-7f3ca36f8000 ---p 00000000 00:00 0 

7f3ca36f8000-7f3ca3ef8000 rw-p 00000000 00:00 0 

7f3ca3ef8000-7f3ca62cb000 r--p 00000000 08:03 2259376                    /usr/share/icons/hicolor/icon-theme.cache

7f3ca62cb000-7f3cab230000 r--p 00000000 08:03 2230923                    /usr/share/icons/gnome/icon-theme.cache

7f3cab230000-7f3cab240000 r-xp 00000000 08:03 1442266                    /usr/lib/x86_64-linux-gnu/gio/modules/libgioremote-volume-monitor.so

7f3cab240000-7f3cab43f000 ---p 00010000 08:03 1442266                    /usr/lib/x86_64-linux-gnu/gio/modules/libgioremote-volume-monitor.so

7f3cab43f000-7f3cab440000 r--p 0000f000 08:03 1442266                    /usr/lib/x86_64-linux-gnu/gio/modules/libgioremote-volume-monitor.so

7f3cab440000-7f3cab441000 rw-p 00010000 08:03 1442266                    /usr/lib/x86_64-linux-gnu/gio/modules/libgioremote-volume-monitor.so

7f3cab441000-7f3cab44d000 r-xp 00000000 08:03 5121555                    /lib/x86_64-linux-gnu/libudev.so.0.13.0

7f3cab44d000-7f3cab64c000 ---p 0000c000 08:03 5121555                    /lib/x86_64-linux-gnu/libudev.so.0.13.0

7f3cab64c000-7f3cab64d000 r--p 0000b000 08:03 5121555                    /lib/x86_64-linux-gnu/libudev.so.0.13.0

7f3cab64d000-7f3cab64e000 rw-p 0000c000 08:03 5121555                Aborted

#2 - 2013-05-13 02:07 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"142223b901af24d5c01f47aaed7a7caa09f9e340".

Files

qgis-20130424-164102-3676-2968-e878dc0.zip 2.75 MB 2013-04-24 Philippe Dorelon
